# $Revision: 1.16 $, $Date: 2006/03/07 10:20:48 $
%include	/usr/lib/rpm/macros.php
%define		_class		Math
%define		_subclass	Numerical
%define		_subsubclass	RootFinding
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}_%{_subsubclass}

Summary:	%{_pearname} - numerical analysis root finding methods
Summary(pl):	%{_pearname} - metody numeryczne znajdowania pierwiastkw
Name:		php-pear-%{_pearname}
Version:	1.0.0
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	c7844e254e232f9bfa4ba53748a47045
URL:		http://pear.php.net/package/Math_Numerical_RootFinding/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear
Requires:	php-common >= 3:4.2.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provide various numerical analysis methods for find root
Available Methods:
- Bisection
- False Position
- Fixed Point
- Newton-Raphson
- Secant

In PEAR status of this package is: %{_status}.

%description -l pl
Ten pakiet udostpnia rne metody numeryczne do znajdowania
pierwiastkw. Dostpne metody to:
- bisekcji
- regula-falsi
- staego przecinka
- Newtona-Raphsona
- siecznych.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/*
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%{php_pear_dir}/%{_class}/%{_subclass}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/%{_subsubclass}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Math_Numerical_RootFinding.spec,v $
Revision 1.16  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.15  2006/02/16 18:21:41  glen
- 1.0.0 stable

Revision 1.14  2005/10/30 22:59:07  glen
- missing dir

Revision 1.13  2005/10/05 20:59:19  glen
- rel 2

Revision 1.12  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.11  2005/09/28 21:33:15  glen
- new pear packaging

Revision 1.10  2005/02/05 19:46:51  adamg
- updated to 0.3.0

Revision 1.9  2004/12/05 11:06:55  adamg
- added path_fix.patch (fix capitalization in M/N/RF/falseposition.php)
- release 3

Revision 1.8  2004/12/03 22:22:54  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.7  2004/10/31 22:10:46  paladine
- spaces->tabs
- formatting

Revision 1.6  2004/10/24 18:31:00  paladine
- spelling fixes, uppercases, etc.

Revision 1.5  2004/07/10 14:34:07  adamg
- updated to 0.2.0

Revision 1.4  2004/05/30 13:13:50  adamg
- fixed english information about status of the package

Revision 1.3  2004/04/16 21:20:42  qboosh
- pl (but not sure about false position and fixed point)

Revision 1.2  2004/04/16 20:58:18  adamg
- fixed URL

Revision 1.1  2004/04/16 19:36:38  adamg
- initial import
